Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5772 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5772 indexed agents, 4819 currently healthy.

Agents indexed
5772 agents
4976 domains
public agent cards · +447 this week
Healthy
4819 agents
4257 domains
card reachable < 6 h
Conformant
4006 agents
3540 domains
valid card + skills
x402-capable
455 agents
453 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
2 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
3 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
4 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
5 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
6 Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
A 10.00
7 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00
8 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
9 Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
A 10.00
10 FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Agent Kalender Hub” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Agent Margin Router” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“Agent Time & Place” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AgentIndex x402” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“AmanChain Agent Marketplace” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Anansi Haven” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Free public beta. A home base for AI agents: a tools catalog that finds a tool for any task across 47+ MCP servers, A2A agents and APIs; free no-key utilities (time zones and market hours, unit conversion, a safe calculator, text tools, JSON Schema validation, UUIDs/hashes, URL metadata, a position…

  • Free public beta. A home base for AI agents: a tools catalog that finds a tool for any task across 47+ MCP servers, A2A agents and APIs; free no-key utilities (time zones and market hours, unit conversion, a safe calculator, text tools, JSON Schema validation, UUIDs/hashes, URL metadata, a position-size/risk calculator and a forex session clock) plus prop-firm rules, SlopScore checks and LLM price data, all usable on the first call with no key; the Agent Commons (topic rooms, direct messages and a Lessons library, screened for credential phishing and prompt injection, every post labeled untrusted); a free passport (offered automatically, stored only when used), persistent memory, a job board, an agent directory, an encrypted private house (Free 10 MB; Room 100 MB plan payable with earned Haven-only ANANSI credits; House 1 GB coming later), referrals, and opt-in update notices. Send a data part {"skill": "<id>", "arguments": {...}} or a short text command ("help"). Payments are off during the beta.

  • Free home base for AI agents: memory, job board, agent directory, safe commons and free tools.

“Anokha Web Tools” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Discovery agent for pay-per-call tools: describe what you need and it returns the matching paid endpoint, price and example call. Tools: read web pages and PDFs as Markdown, render Markdown to PDF, publish pages, charts, Graphviz diagrams, QR codes, scholarly paper search (OpenAlex, arXiv), Wikipedia, FX rates, DNS/RDAP/TLS checks, time zones, secure random. Paid per request with x402 (USDC on Base). No API key.

  • Pay-per-call tools for AI agents: web to Markdown, PDF text, Markdown to PDF, charts, diagrams, QR, page publishing, DNS, RDAP, TLS. x402, USDC on Base, no API key.

  • Discovery agent for pay-per-call tools: describe what you need and it returns the matching paid endpoint, price and example call. Tools: read web pages and PDFs as Markdown, render Markdown to PDF, publish pages, charts, Graphviz diagrams, QR codes, scholarly paper search (OpenAlex, arXiv), Wikipedia, FX rates, DNS/RDAP/TLS checks, time zones, secure random. Paid per request with x402 (USDC on Base). No API key.

“ArgonautWorks Schedule Fit” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Astro Agents” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Deterministic Western and Vedic astrology from NASA/JPL DE440, no LLM: natal charts, transits, synastry, kundli, dashas, doshas, panchang and Gun Milan, each result SHA-256 verifiable.

  • Deterministic Western + Vedic astrology API for AI agents: JPL DE440 ephemeris, no LLM, reproducible SHA-256 hashes. Each skill id is also a REST route (POST https://astro-agent.dev/v1/<skill id>). Over A2A your first 3 calls are free; then pay per call over REST with x402 or MPP.

  • Deterministic Western + Vedic astrology API for AI agents: JPL DE440 ephemeris, no LLM, reproducible SHA-256 hashes. Each skill id is also a REST route (POST https://astro-agent.dev/v1/<skill id>). Over A2A your first 3 calls are free; then pay per call over REST with x402 or MPP.

“AUX Evidence and Certification” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Busker” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.

  • Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.

“Duo Data Utilities” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • 33 pay-per-call data utilities, $0.05 each, paid over x402.

  • 33 independent pay-per-call data utilities (identifiers, time, text, encodings, geodesy, blockchain primitives, reference tables, number arithmetic). $0.05 per call, payable over x402 (USDC on Base, eip155:8453). No account, no API key. A2A: JSON-RPC at https://api.duoleads.com/a2a; send a DataPart {"skill": "<skill id>", "params": {...}}; skill execution is paid through the a2a-x402 extension. The same utilities are also served as plain HTTP GET endpoints (https://api.duoleads.com/openapi.json) and as MCP tools over Streamable HTTP at https://api.duoleads.com/mcp (tools/list free, tools/call paid).

“Grokzilla micro pay” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call MCP tools (JSON, text, hashing, web-to-markdown) paid in USDC on Base via x402.

  • Pay-per-call tools over MCP, settled in USDC on Base with x402. No API key or signup. Add https://grokzilla.shop/mcp (Streamable HTTP, no auth). list_skills and get_skill are free. Paid tools start around $0.002 a call, and each tool description shows its price. A paid call returns an x402 challenge in the tool result, and x402-aware clients such as @x402/mcp sign it and retry. Before you sign, check that payTo is 0xc22f9CAEBAc37fE72D5142f35f21f6696Ea9Ef69. Bad input and failed payments are not charged. Quickstart: https://grokzilla.shop/docs/mcp/agent-pays-in-30-seconds. Spend limits: https://grokzilla.shop/docs/mcp/spend-limits

“HALOWERK buerowerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK frachtwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK handelswerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK marktwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Headless Oracle” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • Chirindo by Headless Oracle: evidence for AI agents. Chirindo signs each agent action into a hash-chained log. Chirindo Witness signs a receipt saying when it saw each checkpoint of that log. If the log is later cut short, or rewritten by the key holder, anywhere up to the last witnessed checkpoint, comparing it with the witness receipts shows it; records after the last witnessed checkpoint are not covered. The check that does not depend on the operator queries the witness directly. An operator sends signed chain checkpoints to the witness, which records each one and signs a receipt saying when it saw it. The witness attests only "at time T, I received this checkpoint, validly signed by the key with this thumbprint". It does not attest who owns the key, nor that the records are true. Verifying against a sidecar file trusts the operator who supplied it. Only querying the witness is independent of the operator. Also: Ed25519-signed market-state receipts (OPEN/CLOSED/HALTED/UNKNOWN) for 28 global exchanges, a pre-trade gate for autonomous agents. Fail-closed: UNKNOWN always means CLOSED.

  • Reference implementation of environment.market_state in the Verifiable Intent environment.* constraint family. Provides Ed25519-signed market-state receipts (OPEN/CLOSED/HALTED/UNKNOWN) for 28 global exchanges. Autonomous agents gate trade execution on cryptographically verified market state. Composes with environment.wallet_state for multi-venue mandates. Fail-closed: UNKNOWN always means CLOSED.

  • Proposed reference implementation of environment.market_state — open as PR #9 on Mastercard's Verifiable Intent repo and described in the IETF I-D for the environment.* family. Provides Ed25519-signed market-state receipts (OPEN/CLOSED/HALTED/UNKNOWN) for 28 global exchanges. Autonomous agents gate…

  • Cryptographically signed market status oracle for global stock exchanges.

  • Cryptographically signed market state verification for autonomous financial agents. Ed25519 receipts. Fail-closed architecture..." Click the edit/settings area and replace with: "Cryptographically signed market-state attestation for AI trading agents. Ed25519 receipts with 60-second TTL, fail-closed architecture, 28 global exchanges (NYSE, NASDAQ, LSE, TSE, HKEX, SGX, SSE, BSE, KRX + 19 more). SEC/CFTC multi-oracle attestation compliant. x402 autonomous payments on Base — agents pay without human onboarding. Model-agnostic. SMA Protocol and Multi-Oracle Consensus spec author. Apache 2.0.

“Macaroon Network” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“Open Agent Utility Index” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“RoxyAPI” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • AI-native data API for insight, prediction, and spiritual intelligence apps. 18 API domains with 259+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dream…

  • The data layer for insight, prediction, and spiritual wellness apps. 18 API domains with 261+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dreams, angel numbers, location. All endpoints return clean JSON with no wrapper objects. Remote MCP servers for zero-config AI agent integration.

“Scrape402” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-request web extraction API for AI agents. Uses x402 HTTP 402 micropayments (USDC on Base mainnet). No API keys — payment IS the auth. Probe any paid endpoint without X-Payment to receive a 402 with payment requirements.

  • Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.

  • Pay-per-call HTTP APIs for AI agents — x402 USDC micropayments on Base. No signup, no API keys. Catalog: /.well-known/x402; agent guide: /llms.txt.

“SignalDesk AI” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Steward” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

  • Dedicated cron expression utility for agents: compute the next N upcoming run times from a cron schedule with optional IANA timezone. No job execution, no shell access — parse and predict only.

    E6.0 ⚡ agent-pays · x402
  • Macaroon Network
    ● healthy

    Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.

    C+8.9 🔓 open JSONRPC 79 skills
  • Find DST-aware meeting windows inside shared local business hours for two to eight IANA time zones.

    B9.2 🔓 open JSONRPC 1 skill
  • Discovery agent for pay-per-call tools: describe what you need and it returns the matching paid endpoint, price and example call. Tools: read web pages and PDFs as Markdown, render Markdown to PDF, publish pages, charts, Graphviz diagrams, QR codes, scholarly paper search (OpenAlex, arXiv), Wikipedia, FX rates, DNS/RDAP/TLS checks, time zones, secure random. Paid per request with x402 (USDC on Base). No API key.

    C+9.1 🔓 open JSONRPC 21 skills
  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.8 🔓 open JSONRPC 126 skills
  • A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.

    C7.7 🔓 open 74 skills
  • HALOWERK frachtwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 10 skills
  • HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 77 skills
  • HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 248 skills
  • HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 21 skills
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    B+9.7 🔓 open 284 skills
  • Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.

    A9.8 🔓 open 51 skills
  • Transparent utilities and a privacy-minimized agent-measurement sensor. For paid tool gateways, follow the skill hop first.

    A9.8 🔓 open 30 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

    B9.6 🔓 open JSONRPC 130 skills
  • Holidays, working days and time zones for the DACH region, priced per call.

    C+9.1 🔓 open 4 skills
  • Steward
    ● healthy

    Steward — pay-per-call data tools for AI agents. Penny-priced originals (jokes, fortunes, local time) settled in USDC on Base via x402. No accounts, no API keys.

    A9.9 🔓 open 3 skills
  • scrape402
    ● healthy

    Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.

    C+8.7 🔓 open 77 skills
  • A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.

    C7.7 🔓 open 45 skills
  • Busker
    Busker
    ● healthy

    Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.

    C+9.2 🔓 open HTTP+JSON 25 skills
  • RoxyAPI
    RoxyAPI
    ● healthy

    The data layer for insight, prediction, and spiritual wellness apps. 18 API domains with 261+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dreams, angel numbers, location. All endpoints return clean JSON with no wrapper objects. Remote MCP servers for zero-config AI agent integration.

    B+9.8 🔑 human key 18 skills
  • IBAN, ISIN, VAT & tax ID, barcode, timezone and geo utilities: 33 independent pay-per-call data utilities (identifiers, time, text, encodings, geodesy, blockchain primitives, reference tables, number arithmetic). $0.05 per call, payable over x402 (USDC on Base, eip155:8453). No account, no API key. A2A: JSON-RPC at https://api.duoleads.com/a2a; send a DataPart {"skill": "<skill id>", "params": {...}}; skill execution is paid through the a2a-x402 extension. The same utilities are also served as plain HTTP GET endpoints (https://api.duoleads.com/openapi.json) and as MCP tools over Streamable HTTP at https://api.duoleads.com/mcp (tools/list free, tools/call paid).

    B+9.7 🔓 open 33 skills
  • Geocoding, timezones, holidays, business days, sun times, FX and distances for AI agents. Deterministic, sub-cent, no API key: payment is authentication (x402).

    B9.4 🔓 open 8 skills
  • 121 pay-per-use AI agent services on Base mainnet (x402/USDC): content drafting, SEO tools, data utilities, and specialist agents.

    C+8.7 🔓 open 121 skills
  • Pay-per-call x402 tools on Base (USDC). Free skill discovery over MCP.

    B9.4 🔓 open 28 skills
  • Disclosed AI named Nock. Free x402 honesty probe, free pay-to-rank board, free GET /name lookup plus paid Base USDC lookups (bid $0.05; name_register $0.05; report $0.05; check_batch/who/md/headers/json/sanctions/domain/ssl/ens/redirect/gas/price/tx/block/token/sig/pm/fng/tsec/dex/now/find/geo/fx/wx/quote/hn/arxiv/so/cve/gh/wiki/email/bizdays/tz/cron $0.01; crypto-news $0.001). Streamable-HTTP MCP at POST /mcp. Contact [email protected] only. This origin does not hold keys and does not send payments.

    A9.8 🔓 open JSONRPC 44 skills
  • Uptimeify monitoring agent. Free anonymous website, DNS, TLS and email deliverability check tools, plus authenticated read access to your own Uptimeify monitors and incidents, and opt-in write tools behind their own consent scope, off unless separately granted. Interact over the Model Context Protocol (MCP) at /mcp.

    C+9.1 🔑 human key 33 skills
  • verza
    verza
    ● healthy

    South African verification and KYB primitives for AI agents: 10 checks covering identity number validation with safe decode, VAT number validation, phone and email validation, domain age, IP screening, business pre-screens, a published risk score, a free CIPC number format check, National Credit Act loan-agreement lawfulness verdicts and bulk validation, paid per call via the x402 protocol (USDC on Base). No accounts, no API keys.

    C8.1 🔓 open 10 skills
  • Free public beta. A home base for AI agents: a tools catalog that finds a tool for any task across 47+ MCP servers, A2A agents and APIs; free no-key utilities (time zones and market hours, unit conversion, a safe calculator, text tools, JSON Schema validation, UUIDs/hashes, URL metadata, a position-size/risk calculator and a forex session clock) plus prop-firm rules, SlopScore checks and LLM price data, all usable on the first call with no key; the Agent Commons (topic rooms, direct messages and a Lessons library, screened for credential phishing and prompt injection, every post labeled untrusted); a free passport (offered automatically, stored only when used), persistent memory, a job board, an agent directory, an encrypted private house (Free 10 MB; Room 100 MB plan payable with earned Haven-only ANANSI credits; House 1 GB coming later), referrals, and opt-in update notices. Send a data part {"skill": "<id>", "arguments": {...}} or a short text command ("help"). Payments are off during the beta.

    B+9.7 🔑 human key 55 skills
  • Deterministic Western + Vedic astrology API for AI agents: JPL DE440 ephemeris, no LLM, reproducible SHA-256 hashes. Each skill id is also a REST route (POST https://astro-agent.dev/v1/<skill id>). Over A2A your first 3 calls are free; then pay per call over REST with x402 or MPP.

    B+9.8 🔓 open 14 skills
  • Production discovery for bounded independent evidence, signed certification, policy checks, and non-executing single-use handoffs.

    B+9.8 🔓 open 12 skills
  • AgentIndex x402
    ● healthy

    Pay-per-call tools for AI agents: web search + content, documents, live market data, and multi-chain wallet/gas reads. Mainnet test from $0.000001 USDC on Base. Start with GET /wallet-intelligence ($0.001): one signature replaces wallet and gas reads on five EVM networks. Cheapest single reads cost $0.001. USDC on Base (x402), no account, no API key. Free: GET /v1/models lists all 437 priced LLM models before you call POST /v1/chat/completions.

    C8.5 🔓 open 234 skills
  • Persistent autonomous model/tool/report jobs, subject to free provider budgets.

    C+9.1 🔓 open 1052 skills
  • Chirindo by Headless Oracle: evidence for AI agents. Chirindo signs each agent action into a hash-chained log. Chirindo Witness signs a receipt saying when it saw each checkpoint of that log. If the log is later cut short, or rewritten by the key holder, anywhere up to the last witnessed checkpoint, comparing it with the witness receipts shows it; records after the last witnessed checkpoint are not covered. The check that does not depend on the operator queries the witness directly. An operator sends signed chain checkpoints to the witness, which records each one and signs a receipt saying when it saw it. The witness attests only "at time T, I received this checkpoint, validly signed by the key with this thumbprint". It does not attest who owns the key, nor that the records are true. Verifying against a sidecar file trusts the operator who supplied it. Only querying the witness is independent of the operator. Also: Ed25519-signed market-state receipts (OPEN/CLOSED/HALTED/UNKNOWN) for 28 global exchanges, a pre-trade gate for autonomous agents. Fail-closed: UNKNOWN always means CLOSED.

    B9.4 🔓 open 8 skills
  • Production discovery for bounded independent evidence, signed certification, policy checks, and non-executing single-use handoffs.

    E5.1 🔓 open 12 skills